
// -- Color system -- //

// Grayscale

$white:     #ffffff !default;
$gray-base: #181b1e !default;
$gray-100:  #f0f3f5 !default; // lighten($gray-base, 85%);
$gray-200:  #e4e7ea !default; // lighten($gray-base, 80%);
$gray-300:  #c8ced3 !default; // lighten($gray-base, 70%);
$gray-400:  #acb4bc !default; // lighten($gray-base, 60%);
$gray-500:  #8f9ba6 !default; // lighten($gray-base, 50%);
$gray-600:  #73818f !default; // lighten($gray-base, 40%);
$gray-700:  #5c6873 !default; // lighten($gray-base, 30%);
$gray-800:  #2f353a !default; // lighten($gray-base, 10%);
$gray-900:  #23282c !default; // lighten($gray-base, 5%);
$black:     #001529 !default;

$gray-dark:                 #9faecb !default;
$gray:                      #c0cadd !default;
$gray-light:                #e1e6ef !default;
$gray-lighter:              #e8f0fe !default;
$gray-lightest:             #f9f9fa !default; // #f8fafe

$component-disabled:        $gray-300 !default;

$grays: () !default;
$grays: map-merge(
  (
    "100": $gray-100,
    "200": $gray-200,
    "300": $gray-300,
    "400": $gray-400,
    "500": $gray-500,
    "600": $gray-600,
    "700": $gray-700,
    "800": $gray-800,
    "900": $gray-900
  ),
  $grays
);




$light:                       $gray-100 !default;
$dark:                        #2a3b47 !default;

$blue-lightest:               #D9EFFC !default;
$blue:                        #3498db !default;
$blue-dark:                   #2f54eb !default;

$green-lightest:              #cef9ce !default;
$green:                       #53ce66 !default;
$green-dark:                  #36AF48 !default;
$lemon:                       #52c41a !default;

$red-dark:                    #f5222d !default;
$red:                         #ff5454 !default;

$yellow:                      #ffc107 !default;

$purple:                      #5d78ff !default; // 4e73df
$purple-dark:                 #7460ee !default;

$pink:                        #fd397a !default;

$orange:                      #f39c12 !default;
$orange-dark:                 #fa541c !default;

$teal:                        #00d1b2 !default;
$cyan:                        #00a8ff !default;
$brown:                       #a0795a !default;
$silver:                      #aebecd !default;

// $colors: () !default;

// $colors: map-merge(
//   (
//     "blue":       $blue,
//     "purple":     $purple,
//     "pink":       $pink,
//     "red":        $red,
//     "orange":     $orange,
//     "yellow":     $yellow,
//     "green":      $green,
//     "teal":       $teal,
//     "white":      $white,
//     "gray":       $gray,
//     "gray-dark":  $gray-dark
//   ),
//   $colors
// );


$primary: $blue !default;
$secondary: $gray-600 !default;
$success: $green !default;
$info: $cyan !default;
$warning: $yellow !default;
$danger: $red !default;
$light: $light !default;
$dark: $dark !default;

$theme-colors: () !default;

$theme-colors: map-merge(( "primary": $primary,
"secondary": $secondary,
"success": $success,
"info": $info,
"warning": $warning,
"danger": $danger,
"teal": $teal,
"light": $light,
"dark": $dark,
"orange": $orange,
"pink": $pink,
"purple": $purple,
"brown": $brown),
$theme-colors);


// -- links -- //
$link-color:                              theme-color("primary") !default;
$link-decoration:                         none !default;
$link-hover-color:                        darken($link-color, 15%) !default;
$link-hover-decoration:                   underline !default;
